import { request } from "@/http/axios";

/** 查 */
export function findAllMiningglossApi() {
  return request({
    url: "/dicekeMiningloss/findAllMininggloss",
    method: "get",
  });
}

/** 删 */
export function deletedicekeMininglossApi(lossID: any) {
  return request({
    url: `/dicekeMiningloss/deletedicekeMiningloss/${lossID}`,
    method: "delete",
  });
}

/** 根据id查损失和贫化信息 */
export function finddicekeMiningrecordById(lossID: any) {
  return request({
    url: `/dicekeMiningloss/finddicekeMininglossById/${lossID}`,
    method: "get",
  });
}

/** 根据年月查损失和贫化信息 */
export function findLossByMonthApi(data: any) {
  return request({
    url: "/dicekeMiningloss/findLossByMonth",
    method: "get",
    data: data,
  });
}

/** 修改损失和贫化信息 */
export function updatedicekeMininglossApi(data: any) {
  return request({
    url: "/dicekeMiningloss/updatedicekeMiningloss",
    method: "post",
    data: data,
  });
}

/** 新增损失和贫化信息 */
export function savedicekeMininglossApi(data: any) {
  return request({
    url: "/dicekeMiningloss/savedicekeMiningloss",
    method: "post",
    data: data,
  });
}
